## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           mygnuhealth
Version:        2.0.0
Release:        %autorelease
Summary:        The GNU Health Personal Health Record (PHR)

License:        GPL-3.0-or-later
URL:            https://www.gnuhealth.org 
Source:         https://ftp.gnu.org/gnu/health/mygnuhealth/mygnuhealth-%{version}.tar.gz
Patch:          update-deps.diff

BuildRequires:  python3-devel
BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib

BuildArch:      noarch

%description
MyGNUHealth is a desktop and mobile application that helps you to take
control of your health. As a Personal Health Record, you will be able
to record, assess and proactively take action upon the determinants of
the main health spheres (bio-psycho-social).
MyGNUHealth will be your health companion. You will be able to connect
with your health professionals, and share the health data you wish to
share with them in real time.
MyGNUHealth puts you in the driver's seat, as an active member of the
system of health.

%package doc
Summary:        Additional documentation files for %{name}
BuildArch:      noarch

%description doc
%{summary}.

%prep
%autosetup -p1 -n %{name}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files mygnuhealth
desktop-file-install --dir=%{buildroot}%{_datadir}/applications/ \
 org.gnuhealth.mygnuhealth.desktop
mkdir -p %{buildroot}%{_metainfodir}/
cp -p org.gnuhealth.mygnuhealth.metainfo.xml %{buildroot}%{_metainfodir}/

%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.metainfo.xml

%files -f %{pyproject_files}
%license LICENSE COPYRIGHT
%doc Changelog README.rst
%{_bindir}/mygnuhealth
%{_datadir}/applications/org.gnuhealth.mygnuhealth.desktop
%{_metainfodir}/org.gnuhealth.mygnuhealth.metainfo.xml

%files doc
%doc %{_docdir}/mygnuhealth

%changelog
* Wed Jan 17 2024 John Doe <packager@example.com> - 2.0.0-1
- Uncommitted changes
